Skip to main content
POST
/
transfers
cURL
POST https://api-sandbox.dwolla.com/transfers
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

{
  "_links": {
    "source": {
      "href": "https://api-sandbox.dwolla.com/funding-sources/707177c3-bf15-4e7e-b37c-55c3898d9bf4"
    },
    "destination": {
      "href": "https://api-sandbox.dwolla.com/funding-sources/9c7f8d57-cd45-4e7a-bf7a-914dbd6131db"
    }
  },
  "amount": {
    "currency": "USD",
    "value": "1.00"
  },
  "clearing": {
    "source": "standard",
    "destination": "next-available"
  },
  "achDetails": {
    "source": {
      "addenda": {
        "values": ["ABC123_AddendaValue"]
      }
    },
    "destination": {
      "addenda": {
        "values": ["ZYX987_AddendaValue"]
      }
    }
  },
  "instantDetails": {
    "destination": {
      "remittanceData": "ABC_123 Remittance Data"
    }
  },
  "fees": [
    {
      "_links": {
        "charge-to": {
          "href": "https://api-sandbox.dwolla.com/customers/d795f696-2cac-4662-8f16-95f1db9bddd8"
        }
      },
      "amount": {
        "value": "4.00",
        "currency": "USD"
      }
    }
  ],
  "metadata": {
    "key": "value"
  },
  "correlationId": "6d127333-69e9-4c2b-8cae-df850228e130",
  "processingChannel": {
    "destination": "instant"
  }
}
{
  "code": "ValidationError",
  "message": "Validation error(s) present. See embedded errors list for more details.",
  "_embedded": {
    "errors": [
      {
        "code": "Invalid",
        "message": "Funding source not found.",
        "path": "/_links/source/href",
        "_links": {}
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.dwolla.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept
enum<string>
default:application/vnd.dwolla.v1.hal+json
required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:
application/vnd.dwolla.v1.hal+json
Idempotency-Key
string

Body

application/json

Parameters to initiate a transfer

amount
TransferAmount · object
required
metadata
object
fees
object[]
clearing
object
achDetails
object
rtpDetails
object

Real-Time Payments (RTP) specific transaction details.

instantDetails
object

Instant Payments specific transaction details for both RTP and FedNow networks.

correlationId
string
processingChannel
object

Response

created